﻿.MobileMenuOverLay {
    background: #333;
    opacity: .5;
    display: none;
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 111;
}

#MobileMenu {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0px;
    right: 0px;
    border-left: solid 1px #aaa;
    z-index: 99999999;
}

.MobileMenuHeader {
    background-color: #ff1744;
    height: 60px;
    padding: 10px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

    .MobileMenuHeader a {
        color: #fff;
        outline: none;
        text-decoration: none;
    }

        .MobileMenuHeader a i {
            font-size: 16px;
            vertical-align: middle;
            line-height: 1;
            margin-left: 5px;
        }

        .MobileMenuHeader a span {
            border: 1px solid #fff;
            padding: 3px 20px;
            border-radius: 5px;
        }

#mobileClose {
    width: 30px;
    height: 30px;
    text-align: center;
    z-index: 99999999;
    line-height: 32px;
    font-size: 20px;
    color: rgba(0, 0, 0, 0.20);
}

    #mobileClose i {
        padding: 0;
        line-height: 1;
    }

#MobileMenuBody {
    background: white;
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.15) -2px 2px 4px;
    overflow-y: scroll;
    position: fixed;
    top: 0;
    height: 100%;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    -webkit-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}



#MobileBaseMenu > li {
    display: block;
    border-bottom: solid 1px #eee;
    padding: 10px;
}

    #MobileBaseMenu > li > a, #MobileBaseMenu > li > a:focus, #MobileBaseMenu > li > a:active {
        color: #000;
        padding: 6px 0;
        display: block;
        outline: none;
        text-decoration: none;
        position: relative;
    }

        #MobileBaseMenu > li > a > i {
            float: right !important;
            font-size: 21px;
            color: #999;
            margin-left: 10px;
        }

        #MobileBaseMenu > li > a > .basket-count {
            left: 10px;
            right: auto;
            background-color: #ff1744;
            color: #fff;
            top: 7px;
        }

        #MobileBaseMenu > li > a > i.fa-cat {
            transform: rotate(180deg);
        }

    #MobileBaseMenu > li:last-child {
        border-bottom: none;
    }

.btn-signout, .btn-signout:hover, .btn-signout:focus {
    background: none;
    color: #ff1744;
    padding: 10px 0;
    display: flex;
    align-items: center;
    font-family: vazir-m;
}

    .btn-signout i {
        float: right !important;
        font-size: 21px;
        color: #ff1744;
        margin-left: 10px;
    }
